Package com.enonic.xp.security

## Class PrincipalQuery

- java.lang.Object
- - com.enonic.xp.security.PrincipalQuery

-     @PublicApi
      public final class PrincipalQuery
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PrincipalQuery.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_SIZE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrincipalQuery​(PrincipalQuery.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PrincipalQuery.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `String` | `getDisplayName()` |
    `String` | `getEmail()` |
    `int` | `getFrom()` |
    `IdProviderKeys` | `getIdProviders()` |
    `String` | `getName()` |
    `Set<PrincipalType>` | `getPrincipalTypes()` |
    `String` | `getSearchText()` |
    `int` | `getSize()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SIZE

          public static final int DEFAULT_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PrincipalQuery

          public PrincipalQuery​(PrincipalQuery.Builder builder)

  - ### Method Detail

    - #### getFrom

          public int getFrom()

    - #### getSize

          public int getSize()

    - #### getPrincipalTypes

          public Set<PrincipalType> getPrincipalTypes()

    - #### getIdProviders

          public IdProviderKeys getIdProviders()

    - #### getSearchText

          public String getSearchText()

    - #### getEmail

          public String getEmail()

    - #### getName

          public String getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### create

          public static PrincipalQuery.Builder create()